#! /bin/bash

BASEDIR=$(dirname "$0")

OS=$(awk '/DISTRID_ID=/' /etc/*-release)
if [ -z "$OS" ]; then
    OS=$(awk '{print $1}' /etc/*-release |
tr '[:upper:]' '[:lower:]')
fi

if echo "$OS" | grep -iq "uos"; then
    echo "uos"
    export LD_LIBRARY_PATH=$BASEDIR/"Library_uos"
else
    echo "kylin"
    export LD_LIBRARY_PATH=$BASEDIR/"Library_kylin"
fi

export QT_QPA_PLATFORM=xcb

$BASEDIR/SANEScanUI
